/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 考试分数信息
 *
 * @author: fengdesheng
 * @since: 2018/8/31
 */
public class UserNoticeDomain implements JsonSerializable {

    private static final long serialVersionUID = -7739022488162924094L;
    /**
     * 公告id
     */
    @ApiModelProperty("公告id")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 内容
     */
    @ApiModelProperty("内容")
    private String content;
    /**
     * 发布者
     */
    @ApiModelProperty("发布者")
    private String publisher;
    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private Date publishTime;
    /**
     * 读取状态
     */
    @ApiModelProperty("读取状态")
    private Boolean hasRead;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public Boolean getHasRead() {
        return hasRead;
    }

    public void setHasRead(Boolean hasRead) {
        this.hasRead = hasRead;
    }
}