package cn.com.qmth.examcloud.core.examwork.service.bean;

import java.util.Date;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年7月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamStudentInfo {

	private Long id;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 考试编码
	 */
	private String examCode;

	/**
	 * 考试名称
	 */
	private String examName;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 机构ID
	 */
	private Long orgId;

	/**
	 * 机构名称
	 */
	private String orgName;

	/**
	 * 机构编码
	 */
	private String orgCode;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 学生学号
	 */
	private String studentCode;

	/**
	 * 学生身份证号
	 */
	private String identityNumber;

	/**
	 * 考试课程名称
	 */
	private String courseName;

	/**
	 * 考试课程ID
	 */
	private Long courseId;

	/**
	 * 考试课程code
	 */
	private String courseCode;

	/**
	 * 考试课程level
	 */
	private String courseLevel;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 信息采集人
	 */
	private String infoCollector;

	/**
	 * 考点
	 */
	private String examSite;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 特殊考试批次开始时间
	 */
	private Date specialBeginTime;

	/**
	 * 特殊考试批次结束时间
	 */
	private Date specialEndTime;

	/**
	 * 扩展属性1
	 */
	private String ext1;

	/**
	 * 扩展属性2
	 */
	private String ext2;

	/**
	 * 扩展属性3
	 */
	private String ext3;

	/**
	 * 扩展属性4
	 */
	private String ext4;

	/**
	 * 扩展属性5
	 */
	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Date getSpecialBeginTime() {
		return specialBeginTime;
	}

	public void setSpecialBeginTime(Date specialBeginTime) {
		this.specialBeginTime = specialBeginTime;
	}

	public Date getSpecialEndTime() {
		return specialEndTime;
	}

	public void setSpecialEndTime(Date specialEndTime) {
		this.specialEndTime = specialEndTime;
	}

}
